# CertGraph Ontology

This repository contains the *CertGraph* ontology, which is described in OWL and stored as OWL/XML files.

## Requirments

* Protégé to view and edit the ontology. Protégé can be downloaded from [here](https://protege.stanford.edu/).

## Recommended workflow for viewing and developing the ontology

* Open emerald.owx to view the whole ontology.
* If only certain parts are to be viewed or edited, the respective owx can also be opened on its own.

Note: When opening the ontology, Protégé might display prompts to resolve imports between ontologies.

## Recommended workflow for instantiating the ontology

1. In Protégé, create a new ontology file.
2. Import core.owx using the Imported Ontologies view.
3. Import relevant extensions from the resource folder or all of them by importing resource.owx.
4. Created instances will be stored in the newly created ontology file.
